Summary:		Totem Playlist Parser library
Name:			totem-pl-parser
Version:		3.26.6
Release:		5%{?dist}
License:		LGPLv2+
Url:			https://wiki.gnome.org/Apps/Videos
Source0:		https://download.gnome.org/sources/%{name}/3.26/%{name}-%{version}.tar.xz

BuildRequires: 	meson
BuildRequires: 	gobject-introspection-devel gettext libxml2-devel
BuildRequires: 	glib2-devel libarchive-devel libgcrypt-devel uchardet-devel

%description
This package provides a library to parse and save playlists, as used in music and movie players.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup

%build
%meson -Denable-gtk-doc=false -Denable-libarchive=yes -Denable-libgcrypt=yes -Dintrospection=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING.LIB
%doc AUTHORS NEWS README.md
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/totem-pl-parser/

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.26.6-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.26.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.26.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.26.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Wang Guodong <gordonwwang@tencent.com> - 3.26.6-1
- package init.
